# Uses of Class
javafx.scene.shape.Shape

Packages that use Shape
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of Shape in javafx.animation

Methods in javafx.animation that return Shape
Modifier and Type
Method
Description
`final Shape`
PathTransition.`getPath()`
Gets the value of the `path` property.
`final Shape`
FillTransition.`getShape()`
Gets the value of the `shape` property.
`final Shape`
StrokeTransition.`getShape()`
Gets the value of the `shape` property.
Methods in javafx.animation that return types with arguments of type Shape
Modifier and Type
Method
Description
`final ObjectProperty<Shape>`
PathTransition.`pathProperty()`
The shape on which outline the node should be animated.
`final ObjectProperty<Shape>`
FillTransition.`shapeProperty()`
The target shape of this `FillTransition`.
`final ObjectProperty<Shape>`
StrokeTransition.`shapeProperty()`
The target shape of this `StrokeTransition`.
Methods in javafx.animation with parameters of type Shape
Modifier and Type
Method
Description
`final void`
PathTransition.`setPath(Shape value)`
Sets the value of the `path` property.
`final void`
FillTransition.`setShape(Shape value)`
Sets the value of the `shape` property.
`final void`
StrokeTransition.`setShape(Shape value)`
Sets the value of the `shape` property.
Constructors in javafx.animation with parameters of type Shape
Modifier
Constructor
Description
``
`FillTransition(Duration duration, Shape shape)`
The constructor of `FillTransition`
``
`FillTransition(Duration duration, Shape shape, Color fromValue, Color toValue)`
The constructor of `FillTransition`
``
`PathTransition(Duration duration, Shape path)`
The constructor of `PathTransition`.
``
`PathTransition(Duration duration, Shape path, Node node)`
The constructor of `PathTransition`.
``
`StrokeTransition(Duration duration, Shape shape)`
The constructor of `StrokeTransition`
``
`StrokeTransition(Duration duration, Shape shape, Color fromValue, Color toValue)`
The constructor of `StrokeTransition`

## Uses of Shape in javafx.css.converter

Methods in javafx.css.converter that return Shape
Modifier and Type
Method
Description
`Shape`
ShapeConverter.`convert(ParsedValue<String,Shape> value, Font font)`
Methods in javafx.css.converter that return types with arguments of type Shape
Modifier and Type
Method
Description
`static StyleConverter<String,Shape>`
ShapeConverter.`getInstance()`
Method parameters in javafx.css.converter with type arguments of type Shape
Modifier and Type
Method
Description
`Shape`
ShapeConverter.`convert(ParsedValue<String,Shape> value, Font font)`

## Uses of Shape in javafx.scene.layout

Methods in javafx.scene.layout that return Shape
Modifier and Type
Method
Description
`final Shape`
Region.`getShape()`
Gets the value of the `shape` property.
Methods in javafx.scene.layout that return types with arguments of type Shape
Modifier and Type
Method
Description
`final ObjectProperty<Shape>`
Region.`shapeProperty()`
When specified, the `Shape` will cause the region to be rendered as the specified shape rather than as a rounded rectangle.
Methods in javafx.scene.layout with parameters of type Shape
Modifier and Type
Method
Description
`final void`
Region.`setShape(Shape value)`
Sets the value of the `shape` property.

## Uses of Shape in javafx.scene.shape

Subclasses of Shape in javafx.scene.shape
Modifier and Type
Class
Description
`class`
`Arc`
The `Arc` class represents a 2D arc object, defined by a center point, start angle (in degrees), angular extent (length of the arc in degrees), and an arc type (`ArcType.OPEN`, `ArcType.CHORD`, or `ArcType.ROUND`).
`class`
`Circle`
The `Circle` class creates a new circle with the specified radius and center location measured in pixels.
`class`
`CubicCurve`
The `CubiCurve` class defines a cubic Bézier parametric curve segment in (x,y) coordinate space.
`class`
`Ellipse`
The `Ellipse` class creates a new ellipse with the specified size and location in pixels
`class`
`Line`
This Line represents a line segment in `(x,y)` coordinate space.
`class`
`Path`
The `Path` class represents a simple shape and provides facilities required for basic construction and management of a geometric path.
`class`
`Polygon`
Creates a polygon, defined by an array of x,y coordinates.
`class`
`Polyline`
Creates a polyline, defined by the array of the segment points.
`class`
`QuadCurve`
The `Quadcurve` class defines a quadratic Bézier parametric curve segment in (x,y) coordinate space.
`class`
`Rectangle`
The `Rectangle` class defines a rectangle with the specified size and location.
`class`
`SVGPath`
The `SVGPath` class represents a simple shape that is constructed by parsing SVG path data from a String.
Methods in javafx.scene.shape that return Shape
Modifier and Type
Method
Description
`static Shape`
Shape.`intersect(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created as an intersection of the specified input shapes.
`static Shape`
Shape.`subtract(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created by subtracting the specified second shape from the first shape.
`static Shape`
Shape.`union(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created as a union of the specified input shapes.
Methods in javafx.scene.shape with parameters of type Shape
Modifier and Type
Method
Description
`static Shape`
Shape.`intersect(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created as an intersection of the specified input shapes.
`static Shape`
Shape.`subtract(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created by subtracting the specified second shape from the first shape.
`static Shape`
Shape.`union(Shape shape1, Shape shape2)`
Returns a new `Shape` which is created as a union of the specified input shapes.

## Uses of Shape in javafx.scene.text

Subclasses of Shape in javafx.scene.text
Modifier and Type
Class
Description
`class`
`Text`
The `Text` class defines a node that displays a text.